@import url('https://fonts.googleapis.com/css2?family=Righteous&family=Work+Sans:wght@100;300;400;600;800&display=swap');
*{
    box-sizing: border-box;
    font-family: 'Work Sans';
    margin: 0;
    padding: 0;
}
html{
    /* me permite deslizar cuando hago clic en los links del menu */
    scroll-behavior: smooth;
}
/* MENU */
.contenedor-header{
    background: #1e2326;
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 99;
}
.contenedor-header header{
    max-width: 1100px;
    margin: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px;
}
.contenedor-header header .logo a{
    font-family: 'Righteous';
    font-size: 36px;
    color: #FAA21D;
    text-decoration: none;
}
.contenedor-header header ul{
    display: flex;
    list-style: none;
}
.contenedor-header header nav ul li a{
    text-align: none;
    color: #fff;
    margin: 0 15px;
    padding: 3px;
    transition: .5s;
    text-decoration: none;
}
.contenedor-header header nav ul li a:hover{
    color: #FAA21D;
}
.nav-responsive{
    background-color: #FAA21D;
    color:#fff;
    padding: 5px 10px;
    border-radius: 5px;
    cursor: pointer;
    display: none;
}
/* SECCION I N I C I O */
.inicio{
    background: linear-gradient(to top, rgba(30,35,38,.8), rgba(30,35,38,1)),
    url(img/maquinariaPrincipal.jpeg);
    background-size: cover;
    height: 100vh;
    color: #fff;
    display: flex;
    align-items: center;
}
.inicio .contenido-banner{
    padding: 20px;
    background-color: #d67c06;
    max-width: 350px;
    margin: auto;
    text-align: center;
    border-radius: 40px;
}
.inicio .contenido-banner img{
    margin-top: 40px;
    border: 10px solid #FAA21D;
    display: block;
    width: 80%;
    margin: auto;
    border-radius: 100%;
}
.inicio .contenido-banner h1{
    margin-top: 40px;
    font-size: 42px;
    font-family: 'Righteous';
}
.inicio .contenido-banner h2{
    font-size: 15px;
    font-weight: normal;
}
.inicio .contenido-banner .redes a{
    color: #fff;
    display: inline-block;
    text-decoration: none;
    border: 1px solid #fff;
    border-radius: 100%;
    width: 42px;
    height: 42px;
    line-height: 42px;
    margin: 40px 5px;
    font-size: 20px;
    transition: .3s;
}

/*///////////////////////////////////*/
.inicio2{
    background: linear-gradient(to top, rgba(30,35,38,.8), rgba(30,35,38,1)),
    url(img/mapa-topografia\,.jpeg);
    background-size: cover;
    height: 100vh;
    color: #fff;
    display: flex;
    align-items: center;
}
.inicio2 .contenido-banner{
    padding: 20px;
    background-color: #d67c06;
    max-width: 350px;
    margin: auto;
    text-align: center;
    border-radius: 40px;
}
.inicio2 .contenido-banner img{
    margin-top: 40px;
    border: 10px solid #FAA21D;
    display: block;
    width: 80%;
    margin: auto;
    border-radius: 100%;
}
.inicio2 .contenido-banner h1{
    margin-top: 40px;
    font-size: 42px;
    font-family: 'Righteous';
}
.inicio2 .contenido-banner h2{
    font-size: 15px;
    font-weight: normal;
}
.inicio2 .contenido-banner .redes a{
    color: #fff;
    display: inline-block;
    text-decoration: none;
    border: 1px solid #fff;
    border-radius: 100%;
    width: 42px;
    height: 42px;
    line-height: 42px;
    margin: 40px 5px;
    font-size: 20px;
    transition: .3s;
}





.inicio .contenido-banner .redes a:hover{
    background-color: #c2b095;
}
.sobremi{
    background-color: #1e2326;
    color: #fff;
    padding: 50px 20px;
}
.sobremi .contenido-seccion{
    max-width: 1100px;
    margin: auto;
}
.sobremi h2{
    font-size: 48px;
    font-family: 'Righteous';
    text-align: center;
    padding: 20px 0;

}
.sobremi .contenido-seccion p{
    font: 18px;
    line-height: 22px;
    margin-bottom: 20px;
}
.sobremi .contenido-seccion p span{
    color: #FAA21D;
    font-weight: bold;
}
.sobremi .fila{
    display: flex;
}
.sobremi .fila .col
{
    width: 50%;
}
.sobremi .fila .col h3{
    font-size: 28px;
    font-family: 'Righteous';
    margin-bottom: 25px;
}
.sobremi .fila .col ul{
    list-style: none;
}
.sobremi .fila .col ul li{
    margin: 12px 0;
}
.sobremi .fila .col ul li strong{
    display: inline-block;
    color: #FAA21D;
    width: 130px;
}
.sobremi .fila .col ul li span{
    background-color: #FAA21D;
    padding: 3px;
    font-weight: bold;
    border-radius: 5px;
}
.sobremi .fila .col .contenedor-intereses{
    display: flex;
    flex-wrap: wrap;
}
.sobremi .fila .col .contenedor-intereses .interes{
    width: 100px;
    height: 100px;
    background-color: #252A2E;
    border-radius: 10px;
    margin: 0 15px 15px 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    transition: .3s;
}.sobremi .fila .col .contenedor-intereses .interes:hover{
    background-color: #FAA21D;
}
.sobremi .fila .col .contenedor-intereses .interes i{
    font-size: 30px;
    margin-bottom: 10px;
}
.sobremi .fila .col .contenedor-intereses .interes img{
  height: 80px;
}
.sobremi button{
    cursor: pointer;
    background-color: transparent;
    border: 2px solid #fff;
    width: fit-content;
    display: block;
    margin: 20px auto;
    padding: 10px 22px;
    font-size: 16px;
    color: #fff;
    position: relative;
    z-index: 10;
}
.sobremi button .overlay{
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background-color: #FAA21D;
    z-index: -1;
    transition: 1s;
}
.sobremi button:hover .overlay{
    width: 100%;
}
/* SECCION S K I L L S */
.skills{
    background-color: #252A2E;
    color: #fff;
   
}
.skills .contenido-seccion{
    max-width: 1100px;
    margin: auto;
}
.skills h2{
    font-size: 48px;
    font-family: 'Righteous';
    text-align: center;
    padding: 20px 0;

}
.skills .fila{
    display: flex;
}
.skills .fila .col{
    width: 50%;
    padding: 0 20px;
}

#content_mapa {
    float: right;
    width: 140%;
    height: 1000%;
}

.content_list_states {
    float: left;
    color: #FAA21D;
}

.listaEdos {
    cursor: pointer;
    margin: 11px 0px;
    display: block;
    font-size: 14px;
}

.listaEdos:hover,
.listaEdosHover {
    color: #ffffff;
    font-weight: 600;
}



/* SECCION CURRICULUM */
.curriculum{
    background-color: #1e2326;
    color: #fff;
    padding: 50px 20px;
}
.curriculum .contenido-seccion{
    max-width: 1100px;
    margin: auto;
}
.curriculum h2{
    font-size: 48px;
    font-family: 'Righteous';
    text-align: center;
    padding: 20px 0;

}
.curriculum .fila{
    display: flex;
    justify-content: space-between;
}
.curriculum .fila .col{
    width: 49%;
    padding: 0 20px;
}
.curriculum .fila .col h3{
    font-size: 28px;
    font-family: 'Righteous';
    margin-bottom: 25px;
}
.curriculum .fila .izquierda{
    border-right: 2px solid #252A2E;
}
.curriculum .fila .derecha{
    border-left: 2px solid #252A2E;
}
.curriculum .fila .item{
    padding: 25px;
    margin-bottom: 30px;
    background-color: #252A2E;
    position: relative;
}
.curriculum .fila .item h4{
    font-size: 20px;
    margin-bottom: 10px;
}
.curriculum .fila .item .casa{
    color: #FAA21D;
    font-size: 22px;
    font-weight: bold;
    display: block;
}
.curriculum .fila .item .fecha{
    display: block;
    color: #FAA21D;
    margin-bottom: 10px;
}
.curriculum .fila .item p{
    line-height: 24px;
}
.curriculum .fila .izq{
    border-right: 2px solid #FAA21D;
    margin-right: 20px;
}
.curriculum .fila .der{
    border-left: 2px solid #FAA21D;
    margin-left: 20px;
}
.curriculum .fila .item .conectori{
    height: 2px;
    background-color: #FAA21D;
    width: 47px;
    position: absolute;
    top: 50%;
    right: -47px;
    z-index: 5;
}
.curriculum .fila .item .conectori .circuloi{
    display: block;
    height: 10px;
    width: 10px;
    border-radius: 50%;
    background-color: #FAA21D;
    float: right;
    position: relative;
    bottom: 4px;
}
.curriculum .fila .item .conectord{
    height: 2px;
    background-color: #FAA21D;
    width: 47px;
    position: absolute;
    top: 50%;
    left: -47px;
    z-index: 5;
}
.curriculum .fila .item .conectord .circulod{
    display: block;
    height: 10px;
    width: 10px;
    border-radius: 50%;
    background-color: #FAA21D;
    float: left;
    position: relative;
    bottom: 4px;
}
/* SECCION PORTFOLIO */
.portfolio{
    background-color: #252A2E;
    color: #fff;
    padding: 50px 20px;
}
.portfolio .contenido-seccion{
    max-width: 1100px;
    margin: auto;
}
.portfolio h2{
    font-size: 48px;
    font-family: 'Righteous';
    text-align: center;
    padding: 20px 0;
}
.portfolio .galeria{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}
.portfolio .galeria .proyecto{
    position: relative;
    max-width: 340px;
    height: fit-content;
    margin: 10px;
    cursor: pointer;
}
.portfolio .galeria .proyecto img{
    width: 100%;
    display: block;
}
.portfolio .galeria .proyecto .overlay{
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    text-align: center;
    background: linear-gradient(#FAA21D, #FAA21D);
    display: flex;
    flex-direction: column;
    justify-content: center;
    transition: 1s;
    font-size: 18px;
    letter-spacing: 3px;
    opacity: 0;
}
.portfolio .galeria .proyecto .overlay h3{
    margin-bottom: 20px;
    transition: 1s;
}
.portfolio .galeria .proyecto .overlay:hover{
    opacity: 1;
}
.portfolio .galeria .proyecto .overlay:hover h3{
    margin-bottom: 0px;
}
/* SECCION CONTACTO */
.contacto{
    background-image: url(img/contact_bg.png);
    background-color: #1e2326;
    color: #fff;
    padding: 50px 0;
}
.contacto .contenido-seccion{
    max-width: 1100px;
    margin: auto;
}
.contacto h2{
    font-size: 48px;
    font-family: 'Righteous';
    text-align: center;
    padding: 20px 0;
}
.contacto .fila{
    display: flex;
}
.contacto .col{
    width: 50%;
    padding: 10px;
    position: relative;
}
.contacto .col input, .contacto .col textarea{
    display: block;
    width: 100%;
    padding: 18px;
    border: none;
    margin-bottom: 20px;
    background-color: #252A2E;
    color: #fff;
    font-size: 18px;
}
.contacto button{
    cursor: pointer;
    background-color: transparent;
    border: 2px solid #fff;
    width: fit-content;
    display: block;
    margin: 20px auto;
    padding: 10px 22px;
    font-size: 16px;
    color: #fff;
    position: relative;
    z-index: 10;
}
.contacto button .overlay{
    position: absolute;
    top: 0;
    left: 0;
    width: 0;
    height: 100%;
    background-color: #FAA21D;
    z-index: -1;
    transition: 1s;
}
.contacto button:hover .overlay{
    width: 100%;
}
.contacto .col img{
    width: 100%;
}
.contacto .col .info{
    position: absolute;
    top: 40%;
    background-color: #252A2E;
    padding: 20px;
    max-swidth: 350px;
    left: 50%;
    transform: translate(-50%, -50%);
}
.contacto .col .info ul{
    list-style: none;
}
.contacto .col .info ul li{
    margin-bottom: 20px;
}
.contacto .col .info ul li i{
    color: #FAA21D;
    display: inline-block;
    margin-right: 20px;
}
footer{
    background-color: #252A2E;
    color: #fff;
    padding: 50px 0 30px 0;
    text-align: center;
    position: relative;
    width: 100%;
}
footer .redes{
    margin-bottom: 20px;
}
footer .redes a{
    color: #fff;
    display: inline-block;
    text-decoration: none;
    border: 1px solid #fff;
    border-radius: 100%;
    width: 42px;
    height: 42px;
    line-height: 42px;
    margin: 40px 5px;
    font-size: 20px;
    transition: .3s;
}
footer .arriba{
    display: block;
    width: 50px;
    height: 50px;
    background-color: #FAA21D;
    color: #fff;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    top: -25px;
    border-radius: 50%;
    line-height: 50px;
    font-size: 18px;
}
/* SECCION RESPONSIVE */
@media screen and (max-width:980px){
    nav{
        display: none;
    }
    .nav-responsive{
        display: block;
    }
    nav.responsive{
        display: block;
        position: absolute;
        right: 0;
        top: 75px;
        background-color: #252A2E;
        width: 180px;
    }
    nav.responsive ul{
        display: block !important;
    }
    nav.responsive ul li{
        border-bottom: 1px solid #fff;
        padding: 10px 0;
    }
}
@media screen and (max-width:700px){
    .sobremi .fila{
        display: block;
    }
    .sobremi .fila .col{
        width: fit-content;
    }

    .skills .fila{
        display: block;
    }
    .skills .fila .col{
        width: 100%;
    }
    .skills .fila .col .barra-skill{
        width: 100%;
    }

    .curriculum .fila{
        display: block;
    }
    .curriculum .fila .col{
        width: 90%;
    }
    .curriculum .fila .derecha{
        margin-left: 20px;
    }

    .portfolio .galeria{
        display: block;
        width: 100%;
    }
    .portfolio .galeria .proyecto{
        max-width: 100%;
    }
    .portfolio .galeria .proyecto img{
        width: 100%;
    }
    .contacto .fila{
        display: block;
    }
    .contacto .fila .col{
        width: 100%;
    }
}
 /* Estilos para el modal y la superposición de fondo */
body {
    font-family: Arial, sans-serif;
}

.modal {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 20px;
    background-color: hsl(61, 40%, 52%);
    border: 1px solid #FAA21D;
    z-index: 1;
}

.modal-content {
    text-align: center;
}

/* Estilos para el botón que abre el modal */
.open-modal-btn {
    cursor: pointer;
    padding: 10px 20px;
    background-color: #4CAF50;
    color: #fff;
    border: none;
    border-radius: 5px;
}

/* Estilos para el botón que cierra el modal */
.close-modal-btn {
    cursor: pointer;
    padding: 10px 20px;
    background-color: #f44336;
    color: #fff;
    border: none;
    border-radius: 5px;
    margin-top: 10px;
}
 /*estiloos navbar *************************************************************************/
   /* Estilos para el navbar */

nav ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
}

nav ul li {
    margin-right: 20px;
}

nav ul li a {
    color: white;
    text-decoration: none;
    font-size: 18px;
}

.nav-responsive {
    display: none;
    cursor: pointer;
}

@media only screen and (max-width: 768px) {
    nav ul {
        display: none;
    }
    .nav-responsive {
        display: block;
    }
}

/* Estilos para el submenu */
.submenu {
    display: none;
    position: absolute;
    background-color: #FAA21D;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    padding: 10px;
}

.submenu a {
    color: white;
    display: block;
    padding: 5px 0;
    text-decoration: none;
}

.submenu a:hover {
    background-color: #555;
}

/* Estilos para la imagen responsiva */
.imagen-responsiva {
    text-align: center; /* Centra el contenido del div */
}

/* Estilos para la imagen dentro del div */
.imagen-responsiva img {
    max-width: 100%; /* La imagen ocupará como máximo el 100% del ancho del contenedor */
    height: auto; /* La altura se ajustará automáticamente para mantener la proporción de la imagen */
    display: inline-block; /* Permite alinear horizontalmente el contenido */
}


/* Estilos para la imagen responsiva2 */
.imagen-responsiva2 {
    text-align: center; /* Centra el contenido del div */
}

/* Estilos para la imagen2 dentro del div */
.imagen-responsiva2 img {
    max-width: 80%; /* La imagen ocupará como máximo el 100% del ancho del contenedor */
    height: auto; /* La altura se ajustará automáticamente para mantener la proporción de la imagen */
    display: inline-block; /* Permite alinear horizontalmente el contenido */
}

